# Record Class CJ1Page<T>

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1Page<T>

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("A page of results.") public record CJ1Page<T>(List<T> items, CJ1UnsignedInt pageIndex, CJ1UnsignedInt pageCount, CJ1UnsignedLong pageFirstOffset) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1Page(List<T> items, CJ1UnsignedInt pageIndex, CJ1UnsignedInt pageCount, CJ1UnsignedLong pageFirstOffset)`
  Creates an instance of a `CJ1Page` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<T>`
  `items()`
  Returns the value of the `items` record component.
  `CJ1UnsignedInt`
  `pageCount()`
  Returns the value of the `pageCount` record component.
  `CJ1UnsignedLong`
  `pageFirstOffset()`
  Returns the value of the `pageFirstOffset` record component.
  `CJ1UnsignedInt`
  `pageIndex()`
  Returns the value of the `pageIndex` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1Page

    public CJ1Page(@JsonPropertyDescription("The results.") List<T> items, @JsonPropertyDescription("The page number.") CJ1UnsignedInt pageIndex, @JsonPropertyDescription("The total number of pages.") CJ1UnsignedInt pageCount, @JsonPropertyDescription("The offset of the first result in the page.") CJ1UnsignedLong pageFirstOffset)
    Creates an instance of a `CJ1Page` record class.
    Parameters:
      `items` - the value for the `items` record component
      `pageIndex` - the value for the `pageIndex` record component
      `pageCount` - the value for the `pageCount` record component
      `pageFirstOffset` - the value for the `pageFirstOffset` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### items

    @JsonPropertyDescription("The results.") public List<T> items()
    Returns the value of the `items` record component.
    Returns:
      the value of the `items` record component

  - ### pageIndex

    @JsonPropertyDescription("The page number.") public CJ1UnsignedInt pageIndex()
    Returns the value of the `pageIndex` record component.
    Returns:
      the value of the `pageIndex` record component

  - ### pageCount

    @JsonPropertyDescription("The total number of pages.") public CJ1UnsignedInt pageCount()
    Returns the value of the `pageCount` record component.
    Returns:
      the value of the `pageCount` record component

  - ### pageFirstOffset

    @JsonPropertyDescription("The offset of the first result in the page.") public CJ1UnsignedLong pageFirstOffset()
    Returns the value of the `pageFirstOffset` record component.
    Returns:
      the value of the `pageFirstOffset` record component